Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #93 (closed enhancement: fixed)

Opened 14 years ago

Last modified 13 years ago

add iwspy support

Reported by: Stijn Tintel <stijn@linux-ipv6.be> Assigned to: mrenzmann
Priority: trivial Milestone: version 1.0.0 - first stable release
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

Wireless statistics collection (iwspy) introduced in WE-16 isn't supported:

tweety:~# iwspy wlan0
wlan0     Interface doesn't support wireless statistic collection

tweety:~#

Attachments

spypatch-ng.diff (4.0 kB) - added by ibaldine@rti.org on 01/31/06 17:30:16.
iwspy patch. Signed-off-by: Ilia Baldine <ibaldine@rti.org>
spypatch-ng.1.diff (4.1 kB) - added by ibaldine@rti.org on 01/31/06 17:53:51.
updated spy patch. Signed-off-by: Ilia Baldine <ibaldine@rti.org>

Change History

10/31/05 16:05:24 changed by matt

  • milestone set to Code: version 1.0.0.

It would be nice to have this in a proper release, I think.

12/07/05 15:24:24 changed by Harald

Just to add some interest: We are working on two ad-hoc routing protocols here, and one of them needs an Atheros-based card, the other one needs wireless statistics. Up to now, we are urged to switch cards (PCMCIA and PCI!) and drivers on the testbed hardware every time we want to test the other protocol, so wireless statistics with madwifi would be a real benefit for us.

12/07/05 15:28:40 changed by mrenzmann

Patches for this are welcome. Implementing this functionality shouldn't be too hard, but we currently lack manpower to solve even more important problems. :/

01/31/06 17:29:21 changed by ibaldine@rti.org

This patch adds the iwspy ioctl capability. Filtering lists are maintained per VAP.

01/31/06 17:30:16 changed by ibaldine@rti.org

  • attachment spypatch-ng.diff added.

iwspy patch. Signed-off-by: Ilia Baldine <ibaldine@rti.org>

01/31/06 17:52:19 changed by ibaldine@rti.org

This is a replacement for the patch above. It adds a check that a node is associated with the specific VAP. Otherwise you may be able to do

iwspy ath0 <some mac address associated with ath1 that is also built on top of wifi0> iwspy ath0

and get a result. I don't think this is a correct behavior. This patch checks for this condition.

01/31/06 17:53:51 changed by ibaldine@rti.org

  • attachment spypatch-ng.1.diff added.

updated spy patch. Signed-off-by: Ilia Baldine <ibaldine@rti.org>

02/01/06 06:44:31 changed by kelmo

  • patch_attached set to 1.

02/04/06 20:31:15 changed by mrenzmann

  • status changed from new to assigned.
  • owner set to mrenzmann.

02/04/06 20:46:29 changed by mrenzmann

  • status changed from assigned to closed.
  • resolution set to fixed.

Thanks, Ilia. Your patch has been committed in r1438.

02/21/06 21:59:56 changed by anonymous

  • priority changed from minor to major.
  • patch_attached deleted.

I downloaded the patch and iwspy works now. I am using the card in ad-hoc mode and am only interested in that mode.

The Noise level reported is always -95 dBm. Why is that ? Is the firmware not measuring the noise and a -95 dBm is being sent in as default ?

Also, although not directly related to iwspy, the iwconfig also reports -95 dBm as the Noise level

Please throw some light on the issue ! Thanks

02/21/06 22:36:09 changed by ibaldine@rti.org

The patch sets noise level at a reasonable noise floor. I did not see any examples of how to extract actual measured noise level information from the HAL and I don't have HAL documentation. Other parts of the code always hard-code noise level to -95dBm.

02/22/06 23:06:37 changed by anonymous

  • priority changed from major to trivial.

I understand now. Further reading led to http://madwifi.org/wiki/UserDocs/RSSI which explains the reasons for the floor. Thanks again